Package groovy.xml

# Class XmlRuntimeException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
groovy.lang.GroovyRuntimeException
groovy.xml.XmlRuntimeException

All Implemented Interfaces:
  `Serializable`

@Incubating public class XmlRuntimeException extends GroovyRuntimeException
Represents a runtime exception that occurred when parsing or building XML.

Since:
  6.0.0
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `XmlRuntimeException(String msg)`
  Creates a new exception with a detail message.
  `XmlRuntimeException(String msg, Throwable cause)`
  Creates a new exception with a detail message and cause.
  `XmlRuntimeException(Throwable cause)`
  Creates a new exception wrapping the supplied cause.

- ## Method Summary

  ### Methods inherited from class groovy.lang.GroovyRuntimeException

  `getLocationText, getMessage, getMessageWithoutLocationText, getModule, getNode, setModule`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### XmlRuntimeException

    public XmlRuntimeException(String msg)
    Creates a new exception with a detail message.
    Parameters:
      `msg` - the detail message

  - ### XmlRuntimeException

    public XmlRuntimeException(Throwable cause)
    Creates a new exception wrapping the supplied cause.
    Parameters:
      `cause` - the underlying parsing or building failure

  - ### XmlRuntimeException

    public XmlRuntimeException(String msg, Throwable cause)
    Creates a new exception with a detail message and cause.
    Parameters:
      `msg` - the detail message
      `cause` - the underlying parsing or building failure